
QGIS Application - Bug report #19542

qgis-3.2.1 fails to build without webkit

2018-08-03 08:28 PM - Chris Mayo

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27369

Description

Guess related to:

https://github.com/qgis/QGIS/commit/95e62036ae5d4d0a09e0f16b9ea26da5cc441352

With -DWITH_QTWEBKIT=no

[ 55%] Building CXX object src/gui/CMakeFiles/qgis_gui.dir/qgsmaptooledit.cpp.o

cd qgis-3.2.1_build/src/gui && /usr/bin/x86_64-pc-linux-gnu-g++ -DQT_CONCURRENT_LIB -DQT_CORE_LIB

-DQT_DISABLE_DEPRECATED_BEFORE=0 -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG

-DQT_POSITIONING_LIB -DQT_PRINTSUPPORT_LIB -DQT_SQL_LIB -DQT_SVG_LIB -DQT_UITOOLS_LIB -DQT_WIDGETS_LIB

-DQT_XML_LIB -DWITH_BINDINGS -Dqgis_gui_EXPORTS -Iqgis-3.2.1_build -Iqgis-3.2.1/src/gui -Iqgis-3.2.1/src/gui/symbology

-Iqgis-3.2.1/src/gui/attributetable -Iqgis-3.2.1/src/gui/auth -Iqgis-3.2.1/src/gui/editorwidgets -Iqgis-3.2.1/src/gui/editorwidgets/core

-Iqgis-3.2.1/src/gui/effects -Iqgis-3.2.1/src/gui/layertree -Iqgis-3.2.1/src/gui/layout -Iqgis-3.2.1/src/gui/ogr -Iqgis-3.2.1/src/gui/processing

-Iqgis-3.2.1/src/core -Iqgis-3.2.1/src/core/annotations -Iqgis-3.2.1/src/core/auth -Iqgis-3.2.1/src/core/fieldformatter

-Iqgis-3.2.1/src/core/geometry -Iqgis-3.2.1/src/core/layertree -Iqgis-3.2.1/src/core/layout -Iqgis-3.2.1/src/core/locator

-Iqgis-3.2.1/src/core/metadata -Iqgis-3.2.1/src/core/processing -Iqgis-3.2.1/src/core/mesh -Iqgis-3.2.1/src/core/providers/memory

-Iqgis-3.2.1/src/core/raster -Iqgis-3.2.1/src/core/scalebar -Iqgis-3.2.1/src/core/symbology -Iqgis-3.2.1/src/core/effects

-Iqgis-3.2.1/src/core/expression -Iqgis-3.2.1/src/native -Iqgis-3.2.1_build/src/core -Iqgis-3.2.1_build/src/gui -Iqgis-3.2.1_build/src/ui

-Iqgis-3.2.1_build/src/native -isystem /usr/include/Qca-qt5/QtCrypto -isystem /usr/include/qt5keychain -isystem /usr/include/qwt6 -isystem

/usr/include/qt5 -isystem /usr/include/gdal -isystem /usr/include/qt5/QtXml -isystem /usr/include/qt5/QtCore -isystem

/usr/lib64/qt5/mkspecs/linux-g++ -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtSvg

-isystem /usr/include/qt5/QtPrintSupport -isystem /usr/include/qt5/QtNetwork -isystem /usr/include/qt5/QtSql -isystem

/usr/include/qt5/QtConcurrent -isystem /usr/include/qt5/QtPositioning -isystem /usr/include/qt5/QtUiTools   -DNDEBUG -march=ivybridge

-ftree-vectorize -O2 -pipe -fPIC -fvisibility=hidden   -fPIC -std=gnu++11 -o CMakeFiles/qgis_gui.dir/qgsmaptooledit.cpp.o -c

qgis-3.2.1/src/gui/qgsmaptooledit.cpp

qgis-3.2.1/src/gui/qgsmaptip.cpp: In member function ‘void QgsMapTip::resizeContent()’:

qgis-3.2.1/src/gui/qgsmaptip.cpp:159:3: error: ‘QWebElement’ was not declared in this scope

   QWebElement container = mWebView->page()->mainFrame()->findFirstElement(

   ^

~~~~~~~

~

qgis-3.2.1/src/gui/qgsmaptip.cpp:159:3: note: suggested alternative: ‘QDomElement’

   QWebElement container = mWebView->page()->mainFrame()->findFirstElement(

   ^

~~~~~~~

~

   QDomElement

In file included from /usr/include/qt5/QtCore/qstring.h:52:0,

                 from /usr/include/qt5/QtCore/qhashfunctions.h:44,

                 from /usr/include/qt5/QtCore/qlist.h:47,

                 from /usr/include/qt5/QtCore/QList:1,

                 from qgis-3.2.1/src/core/qgsfeaturerequest.h:21,

                 from qgis-3.2.1/src/core/qgsfeatureiterator.h:19,

                 from qgis-3.2.1/src/gui/qgsmaptip.cpp:16:
qgis-3.2.1/src/gui/qgsmaptip.cpp:160:29: error: expected primary-expression before ‘)’ token

                             QStringLiteral( "#QgsWebViewContainer" ) );

                             ^

qgis-3.2.1/src/gui/qgsmaptip.cpp:161:15: error: ‘container’ was not declared in this scope

   int width = container.geometry().width() + MARGIN_VALUE * 2;

               ^

~~~~~

~

qgis-3.2.1/src/gui/qgsmaptip.cpp:161:15: note: suggested alternative: ‘center’

   int width = container.geometry().width() + MARGIN_VALUE * 2;

               ^

~~~~~

~

               center

History

#1 - 2018-08-12 08:49 PM - Chris Mayo

- Status changed from Open to Closed

Fixed in commit:55473e7e21a068dec904fd4146642c33a44ce22a

#2 - 2018-08-12 09:28 PM - Giovanni Manghi

- Resolution set to fixed/implemented
